# 32/64bit spec-file
#
# Instead of the main directory being named "RetroShare-<number>",
# it's just the <number>.
%define directoryNumber 0.5.4
%define goUpTwoDirectories cd ../../

Name: 	retroshare
Version: 0.5.5c
Release: %mkrel 1
AutoReqProv:    on
Summary: A secure, p2p file-sharing program
Group: Networking/File transfer
License: LGPL
Url:	        http://retroshare.sourceforge.net/
Source0:        RetroShare-v%{version}.tar.xz
Source1:        %{name}.desktop
Source2:        %{name}.xpm
Source3:        data.24x24.%{name}.png
Source4:        data.48x48.%{name}.png
Source5:        data.64x64.%{name}.png
Source6:        data.128x128.%{name}.png
Patch0:		various.patch
BuildRoot:      %{_tmppath}/%{name}
BuildRequires: %{_lib}gnome-keyring-devel
BuildRequires: %{_lib}gpg-error-devel
BuildRequires: %{_lib}gpgme-devel
BuildRequires: %{_lib}qt4-devel
BuildRequires: %{_lib}upnp-devel
BuildRequires: %{_lib}openssl-devel
BuildRequires: %{_lib}speex1-devel
BuildRequires: %{_lib}ssh-devel
BuildRequires: %{_lib}protobuf-devel
BuildRequires: %{_lib}curl-devel
BuildRequires: %{_lib}xml2-devel
BuildRequires: %{_lib}xslt-devel
BuildRequires: %{_lib}xscrnsaver-devel
Requires:       openssl 
Conflicts:      retroshare-svn


%description
RetroShare is a cross-platform private p2p sharing program.
It lets you share securely your friends, using a web-of-trust
to authenticate peers and OpenSSL to encrypt all communication.
RetroShare provides filesharing, chat, messages and channels.


%package nogui
Summary:       RetroShare without gui
Group:         Networking/File transfer
Requires:      openssl

%description nogui
RetroShare-nogui comes without a user interface. It can be controlled via a special network protocol based on protobuf and ssh.
There are applications for Android and .Net available.


%package plugins
Summary:	Precompiled plugins for RetroShare
Group:		Networking/File transfer
Requires:	%name = %{version}

%description plugins
Precompiled plugins for RetroShare. So far contains LinksCloud, FeedReader and unfinished VOIP.


%prep
%setup -q -n trunk
%patch0 -p0

%build
cd libbitdht/src/
# create Makefile
qmake CONFIG=release
make
cd ../../openpgpsdk/src/
# create Makefile
qmake CONFIG=release
make
cd ../../libretroshare/src/
# create Makefile
qmake CONFIG=release
make
cd ../../retroshare-gui/src/
# create Makefile
qmake CONFIG=release
make
cd ../../retroshare-nogui/src/
# create Makefile
qmake CONFIG=release
make
cd ../../plugins/
# create Makefile
qmake CONFIG=release
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/24x24/apps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/64x64/apps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/128x128/apps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/RetroShare
mkdir -p $RPM_BUILD_ROOT/usr/lib/retroshare/extensions
#bin
install -m 755 ./retroshare-gui/src/RetroShare $RPM_BUILD_ROOT%{_bindir}/
install -m 755 ./retroshare-nogui/src/retroshare-nogui $RPM_BUILD_ROOT%{_bindir}/
#qss
cp -R ./retroshare-gui/src/qss $RPM_BUILD_ROOT%{_datadir}/RetroShare/
#icons  
install -m 644 $RPM_SOURCE_DIR/%{name}.xpm $RPM_BUILD_ROOT%{_datadir}/pixmaps/
install -m 644 $RPM_SOURCE_DIR/data.24x24.%{name}.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/24x24/apps/%{name}.png
install -m 644 $RPM_SOURCE_DIR/data.48x48.%{name}.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
install -m 644 $RPM_SOURCE_DIR/data.64x64.%{name}.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
install -m 644 $RPM_SOURCE_DIR/data.128x128.%{name}.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
install -m 644 $RPM_SOURCE_DIR/%{name}.desktop $RPM_BUILD_ROOT%{_datadir}/applications/
install -m 644 ./libbitdht/src/bitdht/bdboot.txt $RPM_BUILD_ROOT%{_datadir}/RetroShare/
#plugins
install -m 755 ./plugins/LinksCloud/libLinksCloud.so $RPM_BUILD_ROOT/usr/lib/retroshare/extensions/
install -m 755 ./plugins/VOIP/libVOIP.so $RPM_BUILD_ROOT/usr/lib/retroshare/extensions/
install -m 755 ./plugins/FeedReader/libFeedReader.so $RPM_BUILD_ROOT/usr/lib/retroshare/extensions/

# The desktop file and its accompanying icon.
%{__install} -d %{buildroot}/%{_datadir}/pixmaps
%{__install} -m 644 %{SOURCE2} %{buildroot}/%{_datadir}/pixmaps
%{__install} -d %{buildroot}%{_datadir}/applications
%{__install} -m 644 %{SOURCE1} %{buildroot}%{_datadir}/applications
perl -pi -e "s|MultipleArgs=false||" %buildroot/%_datadir/applications/retroshare.desktop

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="FileTransfer" \
  --add-category="X-MandrivaLinux-Internet-FileTransfer" \
  --add-category="Qt" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post
update-desktop-database
/sbin/ldconfig

%postun
update-desktop-database
/sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_bindir}/RetroShare
%defattr(644, root, root)
%{_datadir}/pixmaps/%{name}.xpm  
%{_datadir}/icons/hicolor
%{_datadir}/applications/%{name}.desktop

%files nogui
%defattr(-, root, root)
%{_bindir}/retroshare-nogui
%defattr(644, root, root)
%{_datadir}/RetroShare

%files plugins
%defattr(-, root, root)
/usr/lib/retroshare
/usr/lib/retroshare/extensions


%changelog
* Wed Feb 12 2014 bb <bb> 0.5.5c-1pclos2014
- update

* Sat Sep 14 2013 pinoc <vogtpet at gmail.com> 0.5.5a-1pclos2013
- 0.5.5a
- rebase on OpenSuse

* Fri Feb 01 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 0.5.4d-1pclos2013
- 0.5.4d
- added %{_lib} macros
- added patch1

* Wed Nov 23 2011 Archie Arevalo <pclinuxos.ph at gmail.com> 0.5.2a-1_archie_2011
- applied AS fix and update

* Wed Mar 02 2011 Texstar <texstar at gmail.com> 0.5.1a-2pclos2011
- fix rpm group to Networking/File transfer
- add /sbin/ldconfig to post and postun script due to library install
- change permission 755 to 644 for desktop and pixmap files

* Mon Feb 28 2011 Ertain <sirius-C at iname.com> 0.5.1a-1pclos2010
- Initial package.
